Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 217967 - LiveCD: unmount /mnt/squashfs in livecd init
Summary: LiveCD: unmount /mnt/squashfs in livecd init
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-11-30 22:20 UTC by Bill Nottingham
Modified: 2014-03-17 03:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 18:58:58 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2006-11-30 22:20:01 UTC
Right now, there is still in /proc/mounts:

/dev/loop120 /mnt/squashfs blah blah

This confuses the shutdown scripts. It can be fixed by doing:

 umount("/mnt/squashfs", MNT_DETACH);

in the init for the livecd. (This is what we do for nfs root, actually.)

Comment 1 Matthias Clasen 2007-04-17 18:58:58 UTC
This should be fixed in the current releases according to David.


Note You need to log in before you can comment on or make changes to this bug.